From linux-kernel-owner+greg=40kroah.com-S263209AbVGaL0h@vger.kernel.org Sun Jul 31 04:34:49 2005
Message-Id: <20050731111218.847895000@homer>
Date: Sun, 31 Jul 2005 13:12:10 +0200
From: <domen@coderock.org>
To: <akpm@osdl.org>
Cc: Jan Veldeman <Jan.Veldeman@advalvas.be>
Subject: Driver core: Documentation: use S_IRUSR | ... in stead of 0644

From: Jan Veldeman <jan@mind.be>


Change filemode to use defines in stead of 0644,
based on suggestions by Walter Harms and Domen Puncer.

Signed-off-by: Jan Veldeman <Jan.Veldeman@advalvas.be>
Signed-off-by: Domen Puncer <domen@coderock.org>
Signed-off-by: Greg Kroah-Hartman <gregkh@suse.de>

---
 Documentation/filesystems/sysfs.txt |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

--- gregkh-2.6.orig/Documentation/filesystems/sysfs.txt	2005-08-08 14:21:19.000000000 -0700
+++ gregkh-2.6/Documentation/filesystems/sysfs.txt	2005-08-08 14:21:21.000000000 -0700
@@ -99,14 +99,14 @@
 
 For example, declaring
 
-static DEVICE_ATTR(foo, 0644, show_foo, store_foo);
+static DEVICE_ATTR(foo, S_IWUSR | S_IRUGO, show_foo, store_foo);
 
 is equivalent to doing:
 
 static struct device_attribute dev_attr_foo = {
        .attr	= {
 		.name = "foo",
-		.mode = 0644,
+		.mode = S_IWUSR | S_IRUGO,
 	},
 	.show = show_foo,
 	.store = store_foo,
